Loading...
Searching...
No Matches
OgreFont.h File Reference
`#include "OgreOverlayPrerequisites.h"`
`#include "OgreResource.h"`
`#include "OgreCommon.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreColourValue.h"`
`#include "OgreException.h"`

## Classes

class | Ogre::Font
| Class representing a font in the system. More...
struct | Ogre::GlyphInfo
| Information about the position and size of a glyph in a texture. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef SharedPtr< Font > | Ogre::FontPtr

## Enumerations

enum | Ogre::FontType { Ogre::FT_TRUETYPE = 1 , Ogre::FT_IMAGE = 2 }
| Enumerates the types of Font usable in the engine. More...

## Functions

_OgreOverlayExport std::vector< uint32 > | Ogre::utftoc32 (String str)
| decode UTF8 encoded bytestream to uint32 codepoints